Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Drop Python 3.5 from setup.py #552

Merged
merged 2 commits into from Nov 14, 2020
Merged

Drop Python 3.5 from setup.py #552

merged 2 commits into from Nov 14, 2020

Conversation

@asvetlov
Copy link
Member

@asvetlov asvetlov commented Nov 14, 2020

We don't test CI on 3.5 anyway; the declared support exists by oversight.

Python 3.9 is tested actually; we provide 3.9 binary wheels on PyPI

@asvetlov asvetlov requested a review from webknjaz as a code owner Nov 14, 2020
@codecov
Copy link

@codecov codecov bot commented Nov 14, 2020

Codecov Report

Merging #552 (8370957) into master (5890e46) will not change coverage.
The diff coverage is n/a.

Impacted file tree graph

@@           Coverage Diff           @@
##           master     #552   +/-   ##
=======================================
  Coverage   93.72%   93.72%           
=======================================
  Files           5        5           
  Lines         494      494           
=======================================
  Hits          463      463           
  Misses         31       31           
Flag Coverage Δ
unit 93.72% <ø> (ø)

Flags with carried forward coverage won't be shown. Click here to find out more.


Continue to review full report at Codecov.

Legend - Click here to learn more
Δ = absolute <relative> (impact), ø = not affected, ? = missing data
Powered by Codecov. Last update 5890e46...8370957. Read the comment docs.

Loading

@asvetlov asvetlov merged commit b92ea7f into master Nov 14, 2020
53 checks passed
Loading
@asvetlov asvetlov deleted the drop-py35 branch Nov 14, 2020
aio-libs-github-bot bot pushed a commit to aio-libs/yarl that referenced this issue Dec 14, 2020
Bumps [multidict](https://github.com/aio-libs/multidict) from 5.0.2 to 5.1.0.
<details>
<summary>Release notes</summary>
<p><em>Sourced from <a href="https://github.com/aio-libs/multidict/releases">multidict's releases</a>.</em></p>
<blockquote>
<h2>multidict 5.1.0 release</h2>
<h1>Changes</h1>
<h2>Features</h2>
<ul>
<li>Support <code>GenericAliases</code> (<code>MultiDict[str]</code>) for Python 3.9+
<code>[#553](aio-libs/multidict#553) &lt;https://github.com/aio-libs/multidict/issues/553&gt;</code>_</li>
</ul>
<h2>Bugfixes</h2>
<ul>
<li>Synchronize the declared supported Python versions in <code>setup.py</code> with actually supported and tested ones.
<code>[#552](aio-libs/multidict#552) &lt;https://github.com/aio-libs/multidict/issues/552&gt;</code>_</li>
</ul>
</blockquote>
</details>
<details>
<summary>Changelog</summary>
<p><em>Sourced from <a href="https://github.com/aio-libs/multidict/blob/master/CHANGES.rst">multidict's changelog</a>.</em></p>
<blockquote>
<h1>5.1.0 (2020-12-03)</h1>
<h2>Features</h2>
<ul>
<li>Support <code>GenericAliases</code> (<code>MultiDict[str]</code>) for Python 3.9+
<code>[#553](aio-libs/multidict#553) &lt;https://github.com/aio-libs/multidict/issues/553&gt;</code>_</li>
</ul>
<h2>Bugfixes</h2>
<ul>
<li>Synchronize the declared supported Python versions in <code>setup.py</code> with actually supported and tested ones.
<code>[#552](aio-libs/multidict#552) &lt;https://github.com/aio-libs/multidict/issues/552&gt;</code>_</li>
</ul>
<hr />
<h1>5.0.1 (2020-11-14)</h1>
<h2>Bugfixes</h2>
<ul>
<li>Provide x86 Windows wheels
<code>[#550](aio-libs/multidict#550) &lt;https://github.com/aio-libs/multidict/issues/550&gt;</code>_</li>
</ul>
<hr />
<h1>5.0.0 (2020-10-12)</h1>
<h2>Features</h2>
<ul>
<li>Provide wheels for <code>aarch64</code>, <code>i686</code>, <code>ppc64le</code>, <code>s390x</code> architectures on Linux
as well as <code>x86_64</code>.
<code>[#500](aio-libs/multidict#500) &lt;https://github.com/aio-libs/multidict/issues/500&gt;</code>_</li>
<li>Provide wheels for Python 3.9.
<code>[#534](aio-libs/multidict#534) &lt;https://github.com/aio-libs/multidict/issues/534&gt;</code>_</li>
</ul>
<h2>Removal</h2>
<ul>
<li>Drop Python 3.5 support; Python 3.6 is the minimal supported Python version.</li>
</ul>
<!-- raw HTML omitted -->
</blockquote>
<p>... (truncated)</p>
</details>
<details>
<summary>Commits</summary>
<ul>
<li><a href="https://github.com/aio-libs/multidict/commit/c3eed831bb8bb944bb329013b4fd4b02c66fbf18"><code>c3eed83</code></a> Bump to 5.1.0</li>
<li><a href="https://github.com/aio-libs/multidict/commit/14f433da3b6fd7c443cf85882a6dd1016427262b"><code>14f433d</code></a> Support GenericAliases for Python 3.9+ (<a href="https://github-redirect.dependabot.com/aio-libs/multidict/issues/553">#553</a>)</li>
<li><a href="https://github.com/aio-libs/multidict/commit/e19929eade3571c154b7a6afd57be0360e4a455a"><code>e19929e</code></a> Fix github workflow filter</li>
<li><a href="https://github.com/aio-libs/multidict/commit/b92ea7f32198107f320c56fcfc17bf3b1ea963e1"><code>b92ea7f</code></a> Drop Python 3.5 from setup.py (<a href="https://github-redirect.dependabot.com/aio-libs/multidict/issues/552">#552</a>)</li>
<li>See full diff in <a href="https://github.com/aio-libs/multidict/compare/v5.0.2...v5.1.0">compare view</a></li>
</ul>
</details>
<br />


[![Dependabot compatibility score](https://dependabot-badges.githubapp.com/badges/compatibility_score?dependency-name=multidict&package-manager=pip&previous-version=5.0.2&new-version=5.1.0)](https://docs.github.com/en/github/managing-security-vulnerabilities/configuring-github-dependabot-security-updates)

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting `@dependabot rebase`.

[//]: # (dependabot-automerge-start)
[//]: # (dependabot-automerge-end)
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

1 participant